searchData={"items":[{"type":"module","title":"prometheus_http_impl","doc":"Internal module for `prometheus_httpd`.","ref":"prometheus_http_impl.html"},{"type":"function","title":"prometheus_http_impl.reply/1","doc":"Renders metrics.","ref":"prometheus_http_impl.html#reply/1"},{"type":"function","title":"prometheus_http_impl.setup/0","doc":"Initializes telemetry metrics.\n\n*NOTE:* If you plug `prometheus_httpd` in your existing httpd instance,\nyou have to call this function manually.","ref":"prometheus_http_impl.html#setup/0"},{"type":"module","title":"prometheus_httpd","doc":"Exports Prometheus metrics via configurable endpoint.","ref":"prometheus_httpd.html"},{"type":"module","title":"Existing httpd: - prometheus_httpd","doc":"```\n{modules, [\n    ...\n    prometheus_httpd\n    ...\n]},\n```","ref":"prometheus_httpd.html#module-existing-httpd"},{"type":"module","title":"Built-in httpd instance: - prometheus_httpd","doc":"```\nprometheus_httpd:start()\n```","ref":"prometheus_httpd.html#module-built-in-httpd-instance"},{"type":"module","title":"Telemetry metrics - prometheus_httpd","doc":"- `telemetry_scrape_duration_seconds`\n- `telemetry_scrape_size_bytes`\n- `telemetry_scrape_encoded_size_bytes`","ref":"prometheus_httpd.html#module-telemetry-metrics"},{"type":"module","title":"Configuration - prometheus_httpd","doc":"Can be configured via `prometheus_http` key of `prometheus` app env.\n\nDefault configuration:\n```\n{prometheus, [\n    ...\n    {prometheus_http, [{path, \\\"/metrics\\\"},\n                       {format, auto},\n                       {port, 8081}]},\n    ...\n]}\n```","ref":"prometheus_httpd.html#module-configuration"},{"type":"function","title":"prometheus_httpd.start/0","doc":"Starts inets httpd server with `promtheus_httpd` module enabled.\n\nAlso calls `prometheus_http_impl:setup/0`.","ref":"prometheus_httpd.html#start/0"},{"type":"extras","title":"Overview","doc":"# Prometheus.io inets httpd exporter #\n\n[![Hex.pm](https://img.shields.io/hexpm/v/prometheus_httpd.svg?maxAge=2592000?style=plastic)](https://hex.pm/packages/prometheus_httpd)\n[![Hex.pm](https://img.shields.io/hexpm/dt/prometheus_httpd.svg?maxAge=2592000)](https://hex.pm/packages/prometheus_httpd)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/prometheus_httpd/)\n[![GitHub Actions](https://github.com/prometheus-erl/prometheus-httpd/actions/workflows/ci.yml/badge.svg)](https://github.com/prometheus-erl/prometheus-httpd/actions/workflows/ci.yml)\n[![Codecov](https://codecov.io/github/prometheus-erl/prometheus-httpd/graph/badge.svg?token=G9HB5UKNIY)](https://codecov.io/github/prometheus-erl/prometheus-httpd)\n\nProvides [httpd middleware](http://erlang.org/doc/man/httpd.html) \"mod-module\" (`prometheus_httpd`) for exposing [Prometheus.io](https://github.com/prometheus-erl/prometheus.erl) metrics in various formats.\n\nAlso can start its own httpd instance with just `prometheus_httpd` enabled.","ref":"readme.html"},{"type":"extras","title":"Usage - Overview","doc":"```\nprometheus_httpd:start()\n```\n\nMore in the `prometheus_httpd` module [documentation](https://hexdocs.pm/prometheus_httpd/prometheus_httpd.md)\n\n![BEAM Dashboard](https://raw.githubusercontent.com/prometheus-erl/beam-dashboards/master/BEAM.png)\n\n- IRC: #erlang on Freenode; \n- [Slack](https://elixir-slackin.herokuapp.com/): #prometheus channel - [Browser](https://elixir-lang.slack.com/messages/prometheus) or App(slack://elixir-lang.slack.com/messages/prometheus).","ref":"readme.html#usage"},{"type":"extras","title":"Integrations - Overview","doc":"- [Ecto Instrumenter](https://hex.pm/packages/prometheus_ecto)\n- [Erlang client](https://github.com/prometheus-erl/prometheus.erl)\n- [Elixir client](https://github.com/prometheus-erl/prometheus.ex)\n- [Elixir plugs Instrumenters and Exporter](https://hex.pm/packages/prometheus_plugs)\n- [Extatus - App to report metrics to Prometheus from Elixir GenServers](https://github.com/gmtprime/extatus)\n- [Fuse plugin](https://github.com/jlouis/fuse#fuse_stats_prometheus)\n- [OS process info Collector](https://hex.pm/packages/prometheus_process_collector) (linux-only)\n- [Phoenix Instrumenter](https://hex.pm/packages/prometheus_phoenix)\n- [RabbitMQ Exporter](https://github.com/prometheus-erl/prometheus_rabbitmq_exporter).","ref":"readme.html#integrations"},{"type":"extras","title":"Dashboards - Overview","doc":"- [Beam Dashboards](https://github.com/prometheus-erl/beam-dashboards).","ref":"readme.html#dashboards"},{"type":"extras","title":"Blogs - Overview","doc":"- [Monitoring Elixir apps in 2016: Prometheus and Grafana](https://aldusleaf.org/monitoring-elixir-apps-in-2016-prometheus-and-grafana/)\n- [A Simple Erlang Application, with Prometheus](http://markbucciarelli.com/2016-11-23_a_simple_erlang_application_with_prometheus.html).","ref":"readme.html#blogs"},{"type":"extras","title":"License","doc":"MIT License\n\nCopyright (c) 2017- Ilya Khaprov\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"proglang":"erlang","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}